Package org.apache.cxf.interceptor

# Class StaxOutEndingInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.StaxOutEndingInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class StaxOutEndingInterceptor extends AbstractPhaseInterceptor<Message>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaxOutEndingInterceptor(String outStreamHolder)`
  `StaxOutEndingInterceptor(String outStreamHolder, String writerHolder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleMessage(Message message)`
  Intercepts a message.

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaxOutEndingInterceptor

    public StaxOutEndingInterceptor(String outStreamHolder)

  - ### StaxOutEndingInterceptor

    public StaxOutEndingInterceptor(String outStreamHolder, String writerHolder)

- ## Method Details

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.